Bug 427069 - BMPx halts playback after 2 songs
BMPx halts playback after 2 songs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gstreamer (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-30 15:58 EST by Roy
Modified: 2008-06-26 04:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.10.15-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-26 04:32:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 498767 None None None Never

  None (edit)
Description Roy 2007-12-30 15:58:20 EST
Description of problem:
Beep Media Player X only plays 2 songs in a row, then pauses for at least 5
minutes. When manually trying to play the next song in the playlist, BMPx
crashes. When trying to play a different song in the playlist it jumps to the
song after the newly selected one.

Version-Release number of selected component (if applicable):
bmpx-0.40.13-6.fc8

How reproducible:
Try playing an album for instance

Steps to Reproduce:
1. Start BMPx
2. Select an album
3. Try to let it play several songs
  
Actual results:
BMPx does not play music after about 2 songs.

Expected results:
BMPx continues to play until the end of the album/playlist

Additional info:
Started occuring after updating to the latest X.org, kernel and perhaps other
components. BMPx itself was not updated.
Comment 1 Alexander Kahl 2008-01-02 02:17:36 EST
I can confirm this behavior for all media types. Maybe this is
gstreamer-related, do your remember if there was an update for gstreamer right
before the problem started to occur?
Comment 2 Alexander Kahl 2008-03-05 05:39:07 EST
Submitted bug report in upstream tracker:
http://bugs.backtrace.info/view.php?id=506
Comment 3 Alexander Kahl 2008-03-05 06:17:31 EST
According to upstream, this bug is gstreamer-related and will be solved in 0.10.16.
Comment 4 Laurent Vaills 2008-03-19 09:44:14 EDT
I also have this bug which is quite annoying.

Is it planned to have gstreamer 0.10.16 or 0.10.17 in the updated of Fedora 8 ?
Comment 5 Bastien Nocera 2008-06-04 06:43:24 EDT
(In reply to comment #4)
> I also have this bug which is quite annoying.
> 
> Is it planned to have gstreamer 0.10.16 or 0.10.17 in the updated of Fedora 8 ?

Not really, but if you have an upstream bug report (ie. some indication of what
needs fixing in gstreamer) it would help us backport the fix.
Comment 6 Alexander Kahl 2008-06-04 10:19:17 EDT
Hi Bastien,

it's already included, please see below (External Bugzilla References).
Comment 7 Bastien Nocera 2008-06-04 10:22:15 EDT
This bugzilla layout sucks arse.
Comment 8 Fedora Update System 2008-06-04 11:08:52 EDT
gstreamer-plugins-base-0.10.15-4.fc8 has been submitted as an update for Fedora 8
Comment 9 Alexander Kahl 2008-06-04 11:13:28 EDT
Now we need someone with Fedora 8 to verify..
Comment 10 Laurent Vaills 2008-06-05 03:43:33 EDT
I cant test it (I did not upgrade to F9 yet). 

Where can I get the i386 rpm ?
Comment 11 Fedora Update System 2008-06-06 03:48:49 EDT
gstreamer-plugins-base-0.10.15-4.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gstreamer-plugins-base'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-5008
Comment 12 Fedora Update System 2008-06-26 04:32:22 EDT
gstreamer-plugins-base-0.10.15-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.